/*
This file is part of web2w.
Copyright 2017 Martin Ruckert

web2w is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

web2w is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with web2w.  If not, see <http://www.gnu.org/licenses/>.
 
Martin Ruckert, Hochschule Muenchen, Lothstrasse 64, 80336 Muenchen
*/
/* A Bison parser, made by GNU Bison 2.7.  */

/* Bison interface for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2012 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

#ifndef YY_PP_PASCAL_TAB_H_INCLUDED
# define YY_PP_PASCAL_TAB_H_INCLUDED
/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int pp_debug;
#endif
/* "%code requires" blocks.  */
/* Line 2058 of yacc.c  */
#line 9 "pascal.y"
 
#define PP_STYPE token *
#define YYSTYPE PP_STYPE

  extern int pp_parse(void);
  extern int pp_debug;
 

/* Line 2058 of yacc.c  */
#line 55 "pascal.tab.h"

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     PEOF = 0,
     WEBEOF = 258,
     HEAD = 259,
     BAR = 260,
     PLEFT = 261,
     MLEFT = 262,
     RIGHT = 263,
     OPEN = 264,
     CLOSE = 265,
     TEXT = 266,
     NL = 267,
     HASH = 268,
     NMACRO = 269,
     OMACRO = 270,
     PMACRO = 271,
     PARAM = 272,
     EQ = 273,
     EQEQ = 274,
     ATSTAR = 275,
     ATSPACE = 276,
     ATD = 277,
     ATF = 278,
     ATLESS = 279,
     ATGREATER = 280,
     ELIPSIS = 281,
     ATP = 282,
     OCTAL = 283,
     HEX = 284,
     ATAT = 285,
     ATDOLLAR = 286,
     ATLEFT = 287,
     ATRIGHT = 288,
     ATCTL = 289,
     ATAND = 290,
     ATBACKSLASH = 291,
     ATEX = 292,
     ATQM = 293,
     ATCOMMA = 294,
     ATSLASH = 295,
     ATBAR = 296,
     ATHASH = 297,
     ATPLUS = 298,
     ATSEMICOLON = 299,
     STRING = 300,
     CHAR = 301,
     INDENT = 302,
     METACOMMENT = 303,
     CSEMICOLON = 304,
     ID = 305,
     WDEBUG = 306,
     WSTAT = 307,
     WINIT = 308,
     WTINI = 309,
     WTATS = 310,
     WGUBED = 311,
     PRETURN = 312,
     FIRST_PASCAL_TOKEN = 313,
     PPLUS = 314,
     PMINUS = 315,
     PSTAR = 316,
     PSLASH = 317,
     PEQ = 318,
     PNOTEQ = 319,
     PLESS = 320,
     PGREATER = 321,
     PLESSEQ = 322,
     PGREATEREQ = 323,
     POPEN = 324,
     PCLOSE = 325,
     PSQOPEN = 326,
     PSQCLOSE = 327,
     PASSIGN = 328,
     PDOT = 329,
     PCOMMA = 330,
     PSEMICOLON = 331,
     PMOD = 332,
     PDIV = 333,
     PNIL = 334,
     POR = 335,
     PAND = 336,
     PNOT = 337,
     PIF = 338,
     PTHEN = 339,
     PELSE = 340,
     PREPEAT = 341,
     PUNTIL = 342,
     PWHILE = 343,
     PDO = 344,
     PFOR = 345,
     PTO = 346,
     PDOWNTO = 347,
     PBEGIN = 348,
     PEND = 349,
     PGOTO = 350,
     PINTEGER = 351,
     PREAL = 352,
     POTHERS = 353,
     PSTRING = 354,
     PCHAR = 355,
     PTYPECHAR = 356,
     PTYPEBOOL = 357,
     PTYPEINT = 358,
     PTYPEREAL = 359,
     PTYPEINDEX = 360,
     PID = 361,
     PDEFVARID = 362,
     PDEFPARAMID = 363,
     PDEFREFID = 364,
     PCONSTID = 365,
     PDEFCONSTID = 366,
     PDEFTYPEID = 367,
     PDEFTYPESUBID = 368,
     PARRAYFILETYPEID = 369,
     PARRAYFILEID = 370,
     PFUNCID = 371,
     PDEFFUNCID = 372,
     PPROCID = 373,
     PCALLID = 374,
     PRETURNID = 375,
     PEXIT = 376,
     PFBEGIN = 377,
     PFEND = 378,
     PDOTDOT = 379,
     PCOLON = 380,
     PUP = 381,
     PIN = 382,
     PCASE = 383,
     POF = 384,
     PWITH = 385,
     PCONST = 386,
     PVAR = 387,
     PTYPE = 388,
     PARRAY = 389,
     PRECORD = 390,
     PSET = 391,
     PFILE = 392,
     PFUNCTION = 393,
     PPROCEDURE = 394,
     PLABEL = 395,
     PPACKED = 396,
     PPROGRAM = 397,
     PFORWARD = 398,
     CIGNORE = 399,
     CLABEL = 400,
     CLABELN = 401,
     CINTDEF = 402,
     CSTRDEF = 403,
     CMAIN = 404,
     CMAINEND = 405,
     CUNION = 406,
     CTSUBRANGE = 407,
     CINT = 408,
     CREFID = 409,
     CRETURN = 410,
     CPROCRETURN = 411,
     CCASE = 412,
     CCOLON = 413,
     CBREAK = 414,
     CEMPTY = 415,
     CTLOCAL = 416,
     CTINT = 417
   };
#endif


#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef int YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

extern YYSTYPE pp_lval;

#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int pp_parse (void *YYPARSE_PARAM);
#else
int pp_parse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int pp_parse (void);
#else
int pp_parse ();
#endif
#endif /* ! YYPARSE_PARAM */

#endif /* !YY_PP_PASCAL_TAB_H_INCLUDED  */
